%define current_version 1.0.132.2

Name:		vz-guest-tools-updater
Version:	%{current_version}
Release:        1%{?dist}
Summary:	A tool to trigger VM guest tools update

Group:		System Environment/Base
License:	GPLv2
Source0:	%{name}-%{version}.tar.bz2
Source1:	tools-update.conf
Source2:	%{name}.service
Source3:	%{name}.timer
Source4:	%{name}.cron
BuildArch:	noarch
Requires:	libprlsdk-python
Requires:	libvirt-python
Requires:	python-libguestfs
Requires:	python-requests
Requires:	libguestfs-tools-c
Requires:	vz-guest-tools-win
Requires:	vz-guest-tools-lin
Requires:	vz-guest-tools-bsd


Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units

%description
A tool to trigger automated guest tools updates inside VMs.

%prep
%setup -q

%install
install -D -m755 vz-guest-tools-updater.py %{buildroot}%{_bindir}/%{name}
install -D -m644 vz-guest-tools-install.lnk %{buildroot}%{_datadir}/%{name}/vz-guest-tools-install.lnk
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/vz/tools-update.conf
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/%{name}
mkdir -p %{buildroot}/lib/systemd/system
for unit in %{SOURCE2} %{SOURCE3}; do
    install -m 644 $unit %{buildroot}/lib/systemd/system/
done

mkdir -p %{buildroot}/var/lib
echo '{}' > %{buildroot}/var/lib/vz-guest-tools-updater.json

%post
for unit in service timer; do
    %systemd_post %{name}.$unit
done
systemctl is-enabled -q %{name}.timer && systemctl start %{name}.timer || :

%preun
for unit in service timer; do
    %systemd_preun %{name}.$unit
done

%postun
%systemd_postun

%files
%{_bindir}/*
%{_datadir}/%{name}/*
%{_sysconfdir}/vz/*conf
%{_sysconfdir}/cron.d/*
/lib/systemd/system/*
%config(noreplace) /var/lib/vz-guest-tools-updater.json

%changelog
* Thu Nov 28 2024 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.132.2
 - Indicate when non-Virtuozzo guest tools are detected, #PSBM-159734
 - Improved error handling and logging
 - Improved network check if no 'ping' is available

* Wed Nov 20 2024 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.132.1
 - Backport: Added --vm (-1) cmdline arg to make a single VM operation
 - Backport: Fixed: Copying of installer into VM
 - Backport: Skip repository installation method if unavailable
 - Support Suse with btrfs on subvolumes, #PSBM-159580
 - Support SLED and SLE_RT in addition to SLES

* Fri Mar 31 2023 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 1.0.132
 - append target.list for dist-vz7-u20 and dist-vz9-beta
 - update source file

* Wed Dec 14 2022 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 1.0.129
 - resolve #PSBM-142691 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Thu Nov 17 2022 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.127
 - get-state: Show version in the up-to-date message

* Wed Nov 16 2022 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.126
 - Allow reading state of the tools for FreeBSD machines.

* Tue Nov  8 2022 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.124
 - Recognize FreeBSD guests and print a special warning about current lack of support, #PSBM-143039
 - Implemented --force flag for forced reinstallation of guest tools for offline VMs, #PSBM-142896
 - Iimproved command line parsing, fixed broken processing of some combinations of flags.
 - The list of VMs can now be either supplied or ommitted for any of the supported actions (analysis, getting the state, updating).

* Tue May 10 2022 Konstantin Vlasov <kvlasov@virtuozzo.com> 1.0.122
 - Installer logging fixed for CRON scenario, #PSBM-140066

* Thu Dec 23 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.120
 - Lock VM while working via guestfs, PSBM-135853
 - Minor: make exception handling syntax py3-compatible

* Mon Dec 20 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.119
 - Be ready for vz9; handle x-exec exceptions just in case, PSBM-137053

* Fri Dec 17 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.118
 - Fix almalinux detection, PSBM-134596 (Denis Silakov <dsilakov@virtuozzo.com>)

* Fri Dec 17 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.117
 - Fix last commit - really install tools if strange ver is detected (Denis
Silakov <dsilakov@virtuozzo.com>)

* Thu Dec 16 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.116
 - Always try to install tools from scratch if strange version is detected,
PSBM-134596

* Tue Nov 02 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.115
 - In debug mode, print messages to the terminal, as well PSBM-134701 (Denis
Silakov <dsilakov@virtuozzo.com>)

* Mon Oct 18 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.114
 - If we are launched with -h/--help then no need to aquire the lock,
PSBM-134655

* Tue Sep 14 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.107
 - Suport centos 6 and deb 11, PSBM-133953

* Thu Sep 09 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.106
 - Fix package name for suse, PSBM-133864 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Sep 09 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.105
 - We should overwrite qemu-ga version in guest, PSBM-133849 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Sep 08 2021 Updates Tracker <dsilakov@virtuozzo.com> 1.0.104
 - Fix typos in update_via_repo, add some more debug, PSBM-133821 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Thu Aug 12 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.100
 - Strip brackts from uuid, PSBM-132943

* Thu Aug 12 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.99
 - Update /usr/share/qemu-ga/VERSION when updating tools via repo
 - Fix check_tools during check_update, PSBM-132927
 - Reaplce prlctl with virsh - part 2
 - Utilize guest tools repo for update if possible
 - Replace prlctl with virsh - part 1
 - Be ready for vz8 in tool version
 - Execute command in guests only once (Alexey Pershin <apershin@virtuozzo.com>)
 - Make DEBUG var global to set it's value from method (Alexey Pershin
<apershin@virtuozzo.com>)
 - Fix non-existent method reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Fix var bad reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Cosmetic fixes to make code a bit more pythonic (Alexey Pershin
<apershin@virtuozzo.com>)

* Thu Aug 12 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.98
 - Fix check_tools during check_update, PSBM-132927
 - Reaplce prlctl with virsh - part 2
 - Utilize guest tools repo for update if possible
 - Replace prlctl with virsh - part 1
 - Be ready for vz8 in tool version
 - Execute command in guests only once (Alexey Pershin <apershin@virtuozzo.com>)
 - Make DEBUG var global to set it's value from method (Alexey Pershin
<apershin@virtuozzo.com>)
 - Fix non-existent method reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Fix var bad reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Cosmetic fixes to make code a bit more pythonic (Alexey Pershin
<apershin@virtuozzo.com>)

* Wed Aug 11 2021 Denis Silakov <dsilakov@virtuozzo.com> 1.0.97
 - Reaplce prlctl with virsh - part 2
 - Utilize guest tools repo for update if possible
 - Replace prlctl with virsh - part 1
 - Be ready for vz8 in tool version
 - Execute command in guests only once (Alexey Pershin <apershin@virtuozzo.com>)
 - Make DEBUG var global to set it's value from method (Alexey Pershin
<apershin@virtuozzo.com>)
 - Fix non-existent method reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Fix var bad reference (Alexey Pershin <apershin@virtuozzo.com>)
 - Cosmetic fixes to make code a bit more pythonic (Alexey Pershin
<apershin@virtuozzo.com>)

* Sun Aug 30 2020 VZ Auto Builder <dsilakov@virtuozzo.com> 1.0.96
 - PSBM-107395 (Denis Silakov <dsilakov@virtuozzo.com>)

* Thu Jul 30 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.95
 - Exit without crash if fail to open lock file, PSBM-106368

* Tue Jun 16 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.94
 - Put libvirt import under try-catch where libguestfs already lives,
PSBM-103279

* Thu Feb 06 2020 VZ Auto Builder <dsilakov@virtuozzo.com> 1.0.92
 - PSBM-101404 (Denis Silakov <dsilakov@virtuozzo.com>)

* Tue Jan 14 2020 Denis Silakov <dsilakov@virtuozzo.com> 1.0.91
 - Do not show content listing of root folder if strange tools are detected,
PSBM-100768

* Tue Dec 10 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.90
 - Do not fail of silent SDK failures during get_ves_to_update, PSBM-94347

* Mon Oct 21 2019 VZ Auto Builder <dsilakov@virtuozzo.com> 1.0.89
 - PSBM-98226 (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Oct 09 2019 VZ Auto Builder <dsilakov@virtuozzo.com> 1.0.88
 - PSBM-98456 (Denis Silakov <dsilakov@virtuozzo.com>)

* Mon Apr 01 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.87
 - fix for #PSBM-93200, need to pass proper ID to supported_guest platforms
(Alexander Stefanov <astefanov@virtuozzo.com>)

* Tue Mar 26 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.86
 - Fix detection of centos6
 - Do not fail if db file is compeltely missing, PSBM-92953
 - Avoid unneeded warnings, PSBM-92901
 - One more fix for guest detection

* Fri Mar 22 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.85
 - Do not fail if db file is compeltely missing, PSBM-92953
 - Avoid unneeded warnings, PSBM-92901
 - One more fix for guest detection

* Fri Mar 22 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.84
 - Avoid unneeded warnings, PSBM-92901
 - One more fix for guest detection

* Fri Mar 22 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.83
 - One more fix for guest detection

* Tue Mar 05 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.82
 - Added virtuozzo ID support

* Tue Mar 05 2019 Denis Silakov <dsilakov@virtuozzo.com> 1.0.81
 - Improve centos/rhel detection, PSBM-88107

* Wed Dec 19 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.80
 - Ignore VM if failed to get its info, PSBM-90356

* Thu Oct 25 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.79-3
 - Drop requisite, as well. Works unexpectedly, see #PSBM-89652

* Wed Oct 24 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.79-2
 - Use Requisite instead of Wants, see #PSBM-89624

* Thu Oct 18 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.79
 - PSBM-89493

* Fri Sep 21 2018 Konstantin Volkov <wolf@virtuozzo.com> 1.0.78-2
- Correct prl-disp requirements, see #PSBM-82130

* Tue Sep 11 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.78
 - PSBM-87080
 - PSBM-88107
 - PSBM-88550

* Tue Sep 11 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.77
 - PSBM-88107
 - PSBM-88550

* Tue Sep 11 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.76
 - PSBM-88550

* Mon Sep 10 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.75
 - Use absolute path for tools in subprocess
 - Add libguestfs-tools-c requirement for virt-sysprep

* Wed Jul 25 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.0.73-3
 - Start only timer, not service, #PSBM-87042

* Tue Jul 17 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.0.73-2
 - Force service & timer start if they are enabled, #PSBM-86568

* Tue May 08 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.0.73
 - Rework guest system type-version check as described in PSBM-83281|
 - Fix return status (kirill.trushkin <kirill.trushkin@virtuozzo.com>)
 - Fix remarks (kirill.trushkin <kirill.trushkin@virtuozzo.com>)
 - Fixed remarks (kirill.trushkin <kirill.trushkin@virtuozzo.com>)
 - Add check for guest disto version (kirill.trushkin
<kirill.trushkin@virtuozzo.com>)

* Sun Apr 08 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.0.71
 - Added InstallTools option to config, PSBM-82989
 - Added InstallTools option to config, PSBM-82989

* Fri Feb 16 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.68
 - PSBM-81442

* Sat Feb 10 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.67
 - Disable guest.set_event_callback for libguestfs, crashes atm - see PSBM-81441

* Mon Jan 29 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.66
 - PSBM-78999 (Konstantin Vlasov <kvlasov@virtuozzo.com>)

* Wed Dec 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.65
 - PSBM-78694

* Tue Dec 05 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.64
 - PSBM-75760 (Konstantin Vlasov <kvlasov@virtuozzo.com>)

* Mon Dec 04 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.63
 - Enable autoinstall

* Thu Nov 30 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.62
 - PSBM-77630
 - PSBM-77223

* Wed Nov 08 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.60
 - PSBM-76887

* Wed Nov 01 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.59
 - vz-guest-tools-updater.py: Fix missing parenthesis (Vitaly Ostrosablin
<vostrosablin@virtuozzo.com>) (#PSBM-76523)

* Tue Oct 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.58
 - Update udev rule together with install-tools script, see #PSBM-76087
 - Fixed invalid cdroms failing; fixed write on disk not working (Konstantin
Vlasov <kvlasov@virtuozzo.com>)

* Wed Oct 25 2017 Konstantin Vlasov <konstantin.vlasov@virtuozzo.com> 1.0.57-2
 - Fixed missing Windows LNK file
 
* Wed Oct 25 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.57
 - Save guestfs events logs to syslog when debugging

* Wed Oct 25 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.56
 - Disable tools autoinstall for now, experiment with 'sleep' for #PSBM-76001
 - Fixed path to Windows LNK file (Konstantin Vlasov <kvlasov@virtuozzo.com>)

* Tue Oct 24 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.54
 - Fix typo

* Mon Oct 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.53
 - Use add_libvirt_dom instead of add_drive, see #PSBM-75846

* Mon Oct 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.52
 - Add guestfs verbose logging if --debug is set, see #PSBM-75851

* Mon Oct 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.51
 - Always update install-tools, see #PSBM-75555
 - Update install-tools script for releases earlier than 120, see #PSBM-75430

* Mon Oct 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.50
 - Update install-tools script for releases earlier than 120, see #PSBM-75430

* Thu Oct 19 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.49
 - Reuse already mounted guest tools cd (#PSBM-75678), avoid parallel launch

* Tue Oct 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.48
 - Ensure that install-tools is executable, see #PSBM-75302

* Thu Oct 05 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.47
 - More graceful handling of guestfs failures, see #PSBM-72594

* Fri Sep 29 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.46
 - Exit if failed to connect to dispatcher
 - Add exception handler and logging for dispatcher connection procedure, see
\#PSBM-72540 (Konstantin Volkov <wolf@virtuozzo.com>)

* Tue Sep 26 2017 Denis Silakov <denis.silakov@rosalab.ru> 1.0.45
 - Fix Pythonish
 - Revert "Drop unintentional changes, see #PSBM-72996"

* Mon Sep 25 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.43
 - Drop unintentional changes, see #PSBM-72996
 - Drop unintentional changes

* Mon Sep 25 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.42
 - Fix crash in case when ve doesn't have tools installed, be a bit more
Pythonish, see#PSBM-72887

* Tue Sep 12 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.41
 - Force preliminary upgrade of install-tools script for tools 0.10-115 and
earlier, see #PSBM-71805
 - Minor string value deduplication (Konstantin Vlasov <kvlasov@virtuozzo.com>)

* Thu Sep 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.40
 - Minor string value deduplication (Konstantin Vlasov <kvlasov@virtuozzo.com>)

* Thu Sep 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.39
 - Fixed missing umounts (Konstantin Vlasov <kvlasov@virtuozzo.com>)
 - Added offline GT installation for Windows, #PSBM-39576 (Konstantin Vlasov
<kvlasov@virtuozzo.com>)

* Fri Sep 01 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.38
 - Implemented tools installation for VMs without tools, see #PSBM-39576

* Fri Aug 25 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.37
 - Fix check for running installer, see #PSBM-70732

* Thu Aug 24 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.36
 - Rework processing of machines without install-tools and with bad udev, see
\#PSBM-70534
 - Fix tools release processing, do not fail if can't get integer from it, see
\#PSBM-70561

* Wed Aug 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.35
 - Fix tools release processing, do not fail if can't get integer from it, see
\#PSBM-70561

* Fri Jul 21 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.34
 - Report if virsh fails to eject iso, add timeout after eject, #PSBM-68834
 - Fix check for Debian 7 in udev_guest

* Mon Jul 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.33
 - Fix fail on missing key on ve_db, see #PSBM=68547
 - Use iso_found variable out of scope (<pbutsykin@virtuozzo.com>)

* Tue Jun 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.32
 - Use iso_found variable out of scope (<pbutsykin@virtuozzo.com>)

* Wed Jun 14 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.31
 - Fix update from versions that were subjected to timeout issue (#PSBM-67245)

* Fri Jun 09 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.30
 - Avoid unneeded message about max VMs reached if there are nno more VMs to
process (#PSBM-66088)

* Wed Jun 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.29
 - Improve get-state output
 - Implement --get-state option (#PSBM-66437)

* Wed Jun 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.28
 - Implement --get-state option (#PSBM-66437)

* Wed May 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.27
 - Fix typo (#PSBM-66417)
 - Take update_exec return value into account
 - Added more logging, umount cd after copying install-tools from it if we are
not going to call them explicitly

* Wed May 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.26
 - Take update_exec return value into account
 - Added more logging, umount cd after copying install-tools from it if we are
not going to call them explicitly

* Fri Apr 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.24
 - Workaround for missing install-tools, #PSBM-65654 (Konstantin Vlasov
<kvlasov@virtuozzo.com>)

* Thu Apr 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.23
 - Treat all tools with 2.5* version as 'bad udev', fix processing of vms with
auto-update set to off, add more logging

* Wed Apr 19 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.22
 - Deb 7 suffers from the same udev problem as CentOS 6 (#PSBM-64906)
 - Fix typo in CentOS 6 detection (#PSBM-64889)
 - Force overwrite of  install-tools script when updating through exec
(#PSBM-64116)
 - More logging for #PSBM-64116

* Wed Apr 19 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.21
 - Fix typo in CentOS 6 detection (#PSBM-64889)

* Tue Apr 18 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.20
 - Force overwrite of  install-tools script when updating through exec
(#PSBM-64116)
 - More logging for #PSBM-64116

* Tue Apr 18 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.19
 - More logging for #PSBM-64116

* Tue Apr 11 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.18
 - Force ejection of guest tools media (#PSBM-60093)

* Thu Apr 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.17
 - Fix check for CentOS 6 (#PSBM-63881)

* Thu Apr 06 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.16
 - Fix processing of empty types (#PSBM-63655)

* Mon Apr 03 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.15
 - Do not fail if 'type' is missing in json (#PSBM-63468)

* Mon Apr 03 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.14
 - Fix check for guests with bad udev, do not check win guests for this
(#PSBM-63416)

* Fri Mar 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.13
 - Fix 'force' usage (#PSBM-63220)

* Fri Mar 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.12
 - Improve checking for guests where our udev rule doesn't work (#PSBM-63222)

* Thu Mar 30 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.11
 - Disconnect guest tools CD before running 'installtools' (#PSBM-60093)

* Wed Mar 29 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.10
 - Improve logging for disp-helper

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.9
 - Added hack for CentOS 6 (#PSBM-60786)

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.8
 - Fix launch with empty json
 - Create empty vz-guest-tools-updater.json by default

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.7
 - Implement update-through-exec (#PSBM-61938) 

* Mon Mar 27 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.5-2
- Fix lost guest_os_name (#PSBM-62973)

* Thu Mar 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.5-1
- Drop 'failed' flag once we detect that the tools were updated (#PSBM-62449)

* Mon Mar 20 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.4-2
- Add help (#PSBM-62504)
- Stop vz-guest-tools-updater.timer if prl-disp is stopped (#PSBM-62413)
- If VMs for update are specified in cmdline, process them even if
  'autoupdate' set to 'no' (#PSBM-62416) and even if they are not present
  in json (#PSBM-62460)
- Remove VMs that no longer exist from the json file (#PSBM-62401)

* Mon Mar 13 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.3
- Start service after prl-disp (#PSBM-62109)

* Fri Mar 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.2
- Make data collection a separate process

* Thu Mar 09 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.1
- Allow passing VM names/uuid as script parameters

* Tue Mar 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.0.0
 - Initial build of vz-guest-tools-updater package (#PSBM-17703)
